Package com.io7m.idstore.model

# Record Class IdAuditEvent

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdAuditEvent

Record Components:
  `id` - The unique event ID
  `owner` - The event owner
  `time` - The event time
  `message` - The event message
  `type` - The event type

public record IdAuditEvent(long id, UUID owner, OffsetDateTime time, String type, String message) extends Record
An audit event.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAuditEvent(long id, UUID owner, OffsetDateTime time, String type, String message)`
  An audit event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `long`
  `id()`
  Returns the value of the `id` record component.
  `String`
  `message()`
  Returns the value of the `message` record component.
  `UUID`
  `owner()`
  Returns the value of the `owner` record component.
  `OffsetDateTime`
  `time()`
  Returns the value of the `time` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `type()`
  Returns the value of the `type` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAuditEvent

    public IdAuditEvent(long id, UUID owner, OffsetDateTime time, String type, String message)
    An audit event.
    Parameters:
      `id` - The unique event ID
      `owner` - The event owner
      `time` - The event time
      `message` - The event message
      `type` - The event type

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public long id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### owner

    public UUID owner()
    Returns the value of the `owner` record component.
    Returns:
      the value of the `owner` record component

  - ### time

    public OffsetDateTime time()
    Returns the value of the `time` record component.
    Returns:
      the value of the `time` record component

  - ### type

    public String type()
    Returns the value of the `type` record component.
    Returns:
      the value of the `type` record component

  - ### message

    public String message()
    Returns the value of the `message` record component.
    Returns:
      the value of the `message` record component